const root = document.getElementById('root')

if (!root) {
    throw new Error('root not found')
}


import { draw } from "./view/view";

//функция начала отрисовки
//покемоны подгружаются с апи по необходимости и хранятся в компактном виде в массиве
//на странице единовременно отображаются до 60 покемонов
//при загрузке новых старые, невидимые удалятся
//но удаляются не из массива а из документа
//таким образом был выбран баланс между использованием памяти и скоростью работы
draw();